<?php
$veil_woocommerce_sc = veil_get_theme_option( 'front_page_woocommerce_products' );
if ( ! empty( $veil_woocommerce_sc ) ) {
	?><div class="front_page_section front_page_section_woocommerce<?php
		$veil_scheme = veil_get_theme_option( 'front_page_woocommerce_scheme' );
		if ( ! empty( $veil_scheme ) && ! veil_is_inherit( $veil_scheme ) ) {
			echo ' scheme_' . esc_attr( $veil_scheme );
		}
		echo ' front_page_section_paddings_' . esc_attr( veil_get_theme_option( 'front_page_woocommerce_paddings' ) );
		if ( veil_get_theme_option( 'front_page_woocommerce_stack' ) ) {
			echo ' sc_stack_section_on';
		}
	?>"
			<?php
			$veil_css      = '';
			$veil_bg_image = veil_get_theme_option( 'front_page_woocommerce_bg_image' );
			if ( ! empty( $veil_bg_image ) ) {
				$veil_css .= 'background-image: url(' . esc_url( veil_get_attachment_url( $veil_bg_image ) ) . ');';
			}
			if ( ! empty( $veil_css ) ) {
				echo ' style="' . esc_attr( $veil_css ) . '"';
			}
			?>
	>
	<?php
		// Add anchor
		$veil_anchor_icon = veil_get_theme_option( 'front_page_woocommerce_anchor_icon' );
		$veil_anchor_text = veil_get_theme_option( 'front_page_woocommerce_anchor_text' );
		if ( ( ! empty( $veil_anchor_icon ) || ! empty( $veil_anchor_text ) ) && shortcode_exists( 'trx_sc_anchor' ) ) {
			echo do_shortcode(
				'[trx_sc_anchor id="front_page_section_woocommerce"'
											. ( ! empty( $veil_anchor_icon ) ? ' icon="' . esc_attr( $veil_anchor_icon ) . '"' : '' )
											. ( ! empty( $veil_anchor_text ) ? ' title="' . esc_attr( $veil_anchor_text ) . '"' : '' )
											. ']'
			);
		}
	?>
		<div class="front_page_section_inner front_page_section_woocommerce_inner
			<?php
			if ( veil_get_theme_option( 'front_page_woocommerce_fullheight' ) ) {
				echo ' veil-full-height sc_layouts_flex sc_layouts_columns_middle';
			}
			?>
				"
				<?php
				$veil_css      = '';
				$veil_bg_mask  = veil_get_theme_option( 'front_page_woocommerce_bg_mask' );
				$veil_bg_color_type = veil_get_theme_option( 'front_page_woocommerce_bg_color_type' );
				if ( 'custom' == $veil_bg_color_type ) {
					$veil_bg_color = veil_get_theme_option( 'front_page_woocommerce_bg_color' );
				} elseif ( 'scheme_bg_color' == $veil_bg_color_type ) {
					$veil_bg_color = veil_get_scheme_color( 'bg_color', $veil_scheme );
				} else {
					$veil_bg_color = '';
				}
				if ( ! empty( $veil_bg_color ) && $veil_bg_mask > 0 ) {
					$veil_css .= 'background-color: ' . esc_attr(
						1 == $veil_bg_mask ? $veil_bg_color : veil_hex2rgba( $veil_bg_color, $veil_bg_mask )
					) . ';';
				}
				if ( ! empty( $veil_css ) ) {
					echo ' style="' . esc_attr( $veil_css ) . '"';
				}
				?>
		>
			<div class="front_page_section_content_wrap front_page_section_woocommerce_content_wrap content_wrap woocommerce">
				<?php
				// Content wrap with title and description
				$veil_caption     = veil_get_theme_option( 'front_page_woocommerce_caption' );
				$veil_description = veil_get_theme_option( 'front_page_woocommerce_description' );
				if ( ! empty( $veil_caption ) || ! empty( $veil_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
					// Caption
					if ( ! empty( $veil_caption ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
						?>
						<h2 class="front_page_section_caption front_page_section_woocommerce_caption front_page_block_<?php echo ! empty( $veil_caption ) ? 'filled' : 'empty'; ?>">
						<?php
							echo wp_kses( $veil_caption, 'veil_kses_content' );
						?>
						</h2>
						<?php
					}

					// Description (text)
					if ( ! empty( $veil_description ) || ( current_user_can( 'edit_theme_options' ) && is_customize_preview() ) ) {
						?>
						<div class="front_page_section_description front_page_section_woocommerce_description front_page_block_<?php echo ! empty( $veil_description ) ? 'filled' : 'empty'; ?>">
						<?php
							echo wp_kses( wpautop( $veil_description ), 'veil_kses_content' );
						?>
						</div>
						<?php
					}
				}

				// Content (widgets)
				?>
				<div class="front_page_section_output front_page_section_woocommerce_output list_products shop_mode_thumbs">
					<?php
					if ( 'products' == $veil_woocommerce_sc ) {
						$veil_woocommerce_sc_ids      = veil_get_theme_option( 'front_page_woocommerce_products_per_page' );
						$veil_woocommerce_sc_per_page = count( explode( ',', $veil_woocommerce_sc_ids ) );
					} else {
						$veil_woocommerce_sc_per_page = max( 1, (int) veil_get_theme_option( 'front_page_woocommerce_products_per_page' ) );
					}
					$veil_woocommerce_sc_columns = max( 1, min( $veil_woocommerce_sc_per_page, (int) veil_get_theme_option( 'front_page_woocommerce_products_columns' ) ) );
					echo do_shortcode(
						"[{$veil_woocommerce_sc}"
										. ( 'products' == $veil_woocommerce_sc
												? ' ids="' . esc_attr( $veil_woocommerce_sc_ids ) . '"'
												: '' )
										. ( 'product_category' == $veil_woocommerce_sc
												? ' category="' . esc_attr( veil_get_theme_option( 'front_page_woocommerce_products_categories' ) ) . '"'
												: '' )
										. ( 'best_selling_products' != $veil_woocommerce_sc
												? ' orderby="' . esc_attr( veil_get_theme_option( 'front_page_woocommerce_products_orderby' ) ) . '"'
													. ' order="' . esc_attr( veil_get_theme_option( 'front_page_woocommerce_products_order' ) ) . '"'
												: '' )
										. ' per_page="' . esc_attr( $veil_woocommerce_sc_per_page ) . '"'
										. ' columns="' . esc_attr( $veil_woocommerce_sc_columns ) . '"'
						. ']'
					);
					?>
				</div>
			</div>
		</div>
	</div>
	<?php
}
