<?php
/**
 * The custom template to display the content
 *
 * Used for index/archive/search.
 *
 * @package VEIL
 * @since VEIL 1.0.50
 */

$veil_template_args = get_query_var( 'veil_template_args' );
if ( is_array( $veil_template_args ) ) {
	$veil_columns    = empty( $veil_template_args['columns'] ) ? 2 : max( 1, $veil_template_args['columns'] );
	$veil_blog_style = array( $veil_template_args['type'], $veil_columns );
} else {
	$veil_template_args = array();
	$veil_blog_style = explode( '_', veil_get_theme_option( 'blog_style' ) );
	$veil_columns    = empty( $veil_blog_style[1] ) ? 2 : max( 1, $veil_blog_style[1] );
}
$veil_blog_id       = veil_get_custom_blog_id( join( '_', $veil_blog_style ) );
$veil_blog_style[0] = str_replace( 'blog-custom-', '', $veil_blog_style[0] );
$veil_expanded      = ! veil_sidebar_present() && veil_get_theme_option( 'expand_content' ) == 'expand';
$veil_components    = ! empty( $veil_template_args['meta_parts'] )
							? ( is_array( $veil_template_args['meta_parts'] )
								? join( ',', $veil_template_args['meta_parts'] )
								: $veil_template_args['meta_parts']
								)
							: veil_array_get_keys_by_value( veil_get_theme_option( 'meta_parts' ) );
$veil_post_format   = get_post_format();
$veil_post_format   = empty( $veil_post_format ) ? 'standard' : str_replace( 'post-format-', '', $veil_post_format );

$veil_blog_meta     = veil_get_custom_layout_meta( $veil_blog_id );
$veil_custom_style  = ! empty( $veil_blog_meta['scripts_required'] ) ? $veil_blog_meta['scripts_required'] : 'none';

if ( ! empty( $veil_template_args['slider'] ) || $veil_columns > 1 || ! veil_is_off( $veil_custom_style ) ) {
	?><div class="
		<?php
		if ( ! empty( $veil_template_args['slider'] ) ) {
			echo 'slider-slide swiper-slide';
		} else {
			echo esc_attr( ( veil_is_off( $veil_custom_style ) ? 'column' : sprintf( '%1$s_item %1$s_item', $veil_custom_style ) ) . "-1_{$veil_columns}" );
		}
		?>
	">
	<?php
}
?>
<article id="post-<?php the_ID(); ?>" data-post-id="<?php the_ID(); ?>"
	<?php
	post_class(
			'post_item post_item_container post_format_' . esc_attr( $veil_post_format )
					. ' post_layout_custom post_layout_custom_' . esc_attr( $veil_columns )
					. ' post_layout_' . esc_attr( $veil_blog_style[0] )
					. ' post_layout_' . esc_attr( $veil_blog_style[0] ) . '_' . esc_attr( $veil_columns )
					. ( ! veil_is_off( $veil_custom_style )
						? ' post_layout_' . esc_attr( $veil_custom_style )
							. ' post_layout_' . esc_attr( $veil_custom_style ) . '_' . esc_attr( $veil_columns )
						: ''
						)
		);
	veil_add_blog_animation( $veil_template_args );
	?>
>
	<?php
	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}
	// Custom layout
	do_action( 'veil_action_show_layout', $veil_blog_id, get_the_ID() );
	?>
</article><?php
if ( ! empty( $veil_template_args['slider'] ) || $veil_columns > 1 || ! veil_is_off( $veil_custom_style ) ) {
	?></div><?php
	// Need opening PHP-tag above just after </div>, because <div> is a inline-block element (used as column)!
}
