<?php
/**
 * The Portfolio template to display the content
 *
 * Used for index/archive/search.
 *
 * @package VEIL
 * @since VEIL 1.0
 */

$veil_template_args = get_query_var( 'veil_template_args' );
if ( is_array( $veil_template_args ) ) {
	$veil_columns    = empty( $veil_template_args['columns'] ) ? 2 : max( 1, $veil_template_args['columns'] );
	$veil_blog_style = array( $veil_template_args['type'], $veil_columns );
    $veil_columns_class = veil_get_column_class( 1, $veil_columns, ! empty( $veil_template_args['columns_tablet']) ? $veil_template_args['columns_tablet'] : '', ! empty($veil_template_args['columns_mobile']) ? $veil_template_args['columns_mobile'] : '' );
} else {
	$veil_template_args = array();
	$veil_blog_style = explode( '_', veil_get_theme_option( 'blog_style' ) );
	$veil_columns    = empty( $veil_blog_style[1] ) ? 2 : max( 1, $veil_blog_style[1] );
    $veil_columns_class = veil_get_column_class( 1, $veil_columns );
}

$veil_post_format = get_post_format();
$veil_post_format = empty( $veil_post_format ) ? 'standard' : str_replace( 'post-format-', '', $veil_post_format );

?><div class="
<?php
if ( ! empty( $veil_template_args['slider'] ) ) {
	echo ' slider-slide swiper-slide';
} else {
	echo ( veil_is_blog_style_use_masonry( $veil_blog_style[0] ) ? 'masonry_item masonry_item-1_' . esc_attr( $veil_columns ) : esc_attr( $veil_columns_class ));
}
?>
"><article id="post-<?php the_ID(); ?>" 
	<?php
	post_class(
		'post_item post_item_container post_format_' . esc_attr( $veil_post_format )
		. ' post_layout_portfolio'
		. ' post_layout_portfolio_' . esc_attr( $veil_columns )
		. ( 'portfolio' != $veil_blog_style[0] ? ' ' . esc_attr( $veil_blog_style[0] )  . '_' . esc_attr( $veil_columns ) : '' )
	);
	veil_add_blog_animation( $veil_template_args );
	?>
>
<?php

	// Sticky label
	if ( is_sticky() && ! is_paged() ) {
		?>
		<span class="post_label label_sticky"></span>
		<?php
	}

	$veil_hover   = ! empty( $veil_template_args['hover'] ) && ! veil_is_inherit( $veil_template_args['hover'] )
								? $veil_template_args['hover']
								: veil_get_theme_option( 'image_hover' );

	if ( 'dots' == $veil_hover ) {
		$veil_post_link = empty( $veil_template_args['no_links'] )
								? ( ! empty( $veil_template_args['link'] )
									? $veil_template_args['link']
									: get_permalink()
									)
								: '';
		$veil_target    = ! empty( $veil_post_link ) && false === strpos( $veil_post_link, home_url() )
								? ' target="_blank" rel="nofollow"'
								: '';
	}
	
	// Meta parts
	$veil_components = ! empty( $veil_template_args['meta_parts'] )
							? ( is_array( $veil_template_args['meta_parts'] )
								? $veil_template_args['meta_parts']
								: explode( ',', $veil_template_args['meta_parts'] )
								)
							: veil_array_get_keys_by_value( veil_get_theme_option( 'meta_parts' ) );

	// Featured image
	veil_show_post_featured( apply_filters( 'veil_filter_args_featured',
        array(
			'hover'         => $veil_hover,
			'no_links'      => ! empty( $veil_template_args['no_links'] ),
			'thumb_size'    => ! empty( $veil_template_args['thumb_size'] )
								? $veil_template_args['thumb_size']
								: veil_get_thumb_size(
									veil_is_blog_style_use_masonry( $veil_blog_style[0] )
										? (	strpos( veil_get_theme_option( 'body_style' ), 'full' ) !== false || $veil_columns < 3
											? 'masonry-big'
											: 'masonry'
											)
										: (	strpos( veil_get_theme_option( 'body_style' ), 'full' ) !== false || $veil_columns < 3
											? 'square'
											: 'square'
											)
								),
			'thumb_bg' => veil_is_blog_style_use_masonry( $veil_blog_style[0] ) ? false : true,
			'show_no_image' => true,
			'meta_parts'    => $veil_components,
			'class'         => 'dots' == $veil_hover ? 'hover_with_info' : '',
			'post_info'     => 'dots' == $veil_hover
										? '<div class="post_info"><h5 class="post_title">'
											. ( ! empty( $veil_post_link )
												? '<a href="' . esc_url( $veil_post_link ) . '"' . ( ! empty( $target ) ? $target : '' ) . '>'
												: ''
												)
												. esc_html( get_the_title() ) 
											. ( ! empty( $veil_post_link )
												? '</a>'
												: ''
												)
											. '</h5></div>'
										: '',
            'thumb_ratio'   => 'info' == $veil_hover ?  '100:102' : '',
        ),
        'content-portfolio',
        $veil_template_args
    ) );
	?>
</article></div><?php
// Need opening PHP-tag above, because <article> is a inline-block element (used as column)!