<?php
/**
 * The template to display the widgets area in the footer
 *
 * @package VEIL
 * @since VEIL 1.0.10
 */

// Footer sidebar
$veil_footer_name    = veil_get_theme_option( 'footer_widgets' );
$veil_footer_present = ! veil_is_off( $veil_footer_name ) && is_active_sidebar( $veil_footer_name );
if ( $veil_footer_present ) {
	veil_storage_set( 'current_sidebar', 'footer' );
	$veil_footer_wide = veil_get_theme_option( 'footer_wide' );
	ob_start();
	if ( is_active_sidebar( $veil_footer_name ) ) {
		dynamic_sidebar( $veil_footer_name );
	}
	$veil_out = trim( ob_get_contents() );
	ob_end_clean();
	if ( ! empty( $veil_out ) ) {
		$veil_out          = preg_replace( "/<\\/aside>[\r\n\s]*<aside/", '</aside><aside', $veil_out );
		$veil_need_columns = true;   //or check: strpos($veil_out, 'columns_wrap')===false;
		if ( $veil_need_columns ) {
			$veil_columns = max( 0, (int) veil_get_theme_option( 'footer_columns' ) );			
			if ( 0 == $veil_columns ) {
				$veil_columns = min( 4, max( 1, veil_tags_count( $veil_out, 'aside' ) ) );
			}
			if ( $veil_columns > 1 ) {
				$veil_out = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $veil_columns ) . ' widget', $veil_out );
			} else {
				$veil_need_columns = false;
			}
		}
		?>
		<div class="footer_widgets_wrap widget_area<?php echo ! empty( $veil_footer_wide ) ? ' footer_fullwidth' : ''; ?> sc_layouts_row sc_layouts_row_type_normal">
			<?php do_action( 'veil_action_before_sidebar_wrap', 'footer' ); ?>
			<div class="footer_widgets_inner widget_area_inner">
				<?php
				if ( ! $veil_footer_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $veil_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'veil_action_before_sidebar', 'footer' );
				veil_show_layout( $veil_out );
				do_action( 'veil_action_after_sidebar', 'footer' );
				if ( $veil_need_columns ) {
					?>
					</div><!-- /.columns_wrap -->
					<?php
				}
				if ( ! $veil_footer_wide ) {
					?>
					</div><!-- /.content_wrap -->
					<?php
				}
				?>
			</div><!-- /.footer_widgets_inner -->
			<?php do_action( 'veil_action_after_sidebar_wrap', 'footer' ); ?>
		</div><!-- /.footer_widgets_wrap -->
		<?php
	}
}
