<?php
/**
 * The template to display custom header from the ThemeREX Addons Layouts
 *
 * @package VEIL
 * @since VEIL 1.0.06
 */

$veil_header_css   = '';
$veil_header_image = get_header_image();
$veil_header_video = veil_get_header_video();
if ( ! empty( $veil_header_image ) && veil_trx_addons_featured_image_override( is_singular() || veil_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$veil_header_image = veil_get_current_mode_image( $veil_header_image );
}

$veil_header_id = veil_get_custom_header_id();
$veil_header_meta = get_post_meta( $veil_header_id, 'trx_addons_options', true );
if ( ! empty( $veil_header_meta['margin'] ) ) {
	veil_add_inline_css( sprintf( '.page_content_wrap{padding-top:%s}', esc_attr( veil_prepare_css_value( $veil_header_meta['margin'] ) ) ) );
}

?><header class="top_panel top_panel_custom top_panel_custom_<?php echo esc_attr( $veil_header_id ); ?> top_panel_custom_<?php echo esc_attr( sanitize_title( get_the_title( $veil_header_id ) ) ); ?>
				<?php
				echo ! empty( $veil_header_image ) || ! empty( $veil_header_video )
					? ' with_bg_image'
					: ' without_bg_image';
				if ( '' != $veil_header_video ) {
					echo ' with_bg_video';
				}
				if ( '' != $veil_header_image ) {
					echo ' ' . esc_attr( veil_add_inline_css_class( 'background-image: url(' . esc_url( $veil_header_image ) . ');' ) );
				}
				if ( is_single() && has_post_thumbnail() ) {
					echo ' with_featured_image';
				}
				if ( veil_is_on( veil_get_theme_option( 'header_fullheight' ) ) ) {
					echo ' header_fullheight veil-full-height';
				}
				$veil_header_scheme = veil_get_theme_option( 'header_scheme' );
				if ( ! empty( $veil_header_scheme ) && ! veil_is_inherit( $veil_header_scheme  ) ) {
					echo ' scheme_' . esc_attr( $veil_header_scheme );
				}
				?>
">
	<?php

	// Background video
	if ( ! empty( $veil_header_video ) ) {
		get_template_part( apply_filters( 'veil_filter_get_template_part', 'templates/header-video' ) );
	}

	// Custom header's layout
	do_action( 'veil_action_show_layout', $veil_header_id );

	// Header widgets area
	get_template_part( apply_filters( 'veil_filter_get_template_part', 'templates/header-widgets' ) );

	?>
</header>
