<?php
/**
 * The template to display default site header
 *
 * @package VEIL
 * @since VEIL 1.0
 */

$veil_header_css   = '';
$veil_header_image = get_header_image();
$veil_header_video = veil_get_header_video();
if ( ! empty( $veil_header_image ) && veil_trx_addons_featured_image_override( is_singular() || veil_storage_isset( 'blog_archive' ) || is_category() ) ) {
	$veil_header_image = veil_get_current_mode_image( $veil_header_image );
}

?><header class="top_panel top_panel_default
	<?php
	echo ! empty( $veil_header_image ) || ! empty( $veil_header_video ) ? ' with_bg_image' : ' without_bg_image';
	if ( '' != $veil_header_video ) {
		echo ' with_bg_video';
	}
	if ( '' != $veil_header_image ) {
		echo ' ' . esc_attr( veil_add_inline_css_class( 'background-image: url(' . esc_url( $veil_header_image ) . ');' ) );
	}
	if ( is_single() && has_post_thumbnail() ) {
		echo ' with_featured_image';
	}
	if ( veil_is_on( veil_get_theme_option( 'header_fullheight' ) ) ) {
		echo ' header_fullheight veil-full-height';
	}
	$veil_header_scheme = veil_get_theme_option( 'header_scheme' );
	if ( ! empty( $veil_header_scheme ) && ! veil_is_inherit( $veil_header_scheme  ) ) {
		echo ' scheme_' . esc_attr( $veil_header_scheme );
	}
	?>
">
	<?php

	// Background video
	if ( ! empty( $veil_header_video ) ) {
		get_template_part( apply_filters( 'veil_filter_get_template_part', 'templates/header-video' ) );
	}

	// Main menu
	get_template_part( apply_filters( 'veil_filter_get_template_part', 'templates/header-navi' ) );

	// Mobile header
	if ( veil_is_on( veil_get_theme_option( 'header_mobile_enabled' ) ) ) {
		get_template_part( apply_filters( 'veil_filter_get_template_part', 'templates/header-mobile' ) );
	}

	// Page title and breadcrumbs area
	if ( ! is_single() ) {
		get_template_part( apply_filters( 'veil_filter_get_template_part', 'templates/header-title' ) );
	}

	// Header widgets area
	get_template_part( apply_filters( 'veil_filter_get_template_part', 'templates/header-widgets' ) );
	?>
</header>
