<?php
/**
 * The template to display the logo or the site name and the slogan in the Header
 *
 * @package VEIL
 * @since VEIL 1.0
 */

$veil_args = get_query_var( 'veil_logo_args' );

// Site logo
$veil_logo_type   = isset( $veil_args['type'] ) ? $veil_args['type'] : '';
$veil_logo_image  = veil_get_logo_image( $veil_logo_type );
$veil_logo_text   = veil_is_on( veil_get_theme_option( 'logo_text' ) ) ? get_bloginfo( 'name' ) : '';
$veil_logo_slogan = get_bloginfo( 'description', 'display' );
if ( ! empty( $veil_logo_image['logo'] ) || ! empty( $veil_logo_text ) ) {
	?><a class="sc_layouts_logo" href="<?php echo esc_url( home_url( '/' ) ); ?>">
		<?php
		if ( ! empty( $veil_logo_image['logo'] ) ) {
			if ( empty( $veil_logo_type ) && function_exists( 'the_custom_logo' ) && is_numeric($veil_logo_image['logo']) && (int) $veil_logo_image['logo'] > 0 ) {
				the_custom_logo();
			} else {
				$veil_attr = veil_getimagesize( $veil_logo_image['logo'] );
				echo '<img src="' . esc_url( $veil_logo_image['logo'] ) . '"'
						. ( ! empty( $veil_logo_image['logo_retina'] ) ? ' srcset="' . esc_url( $veil_logo_image['logo_retina'] ) . ' 2x"' : '' )
						. ' alt="' . esc_attr( $veil_logo_text ) . '"'
						. ( ! empty( $veil_attr[3] ) ? ' ' . wp_kses_data( $veil_attr[3] ) : '' )
						. '>';
			}
		} else {
			veil_show_layout( veil_prepare_macros( $veil_logo_text ), '<span class="logo_text">', '</span>' );
			veil_show_layout( veil_prepare_macros( $veil_logo_slogan ), '<span class="logo_slogan">', '</span>' );
		}
		?>
	</a>
	<?php
}
