<?php
/**
 * The template to display the widgets area in the header
 *
 * @package VEIL
 * @since VEIL 1.0
 */

// Header sidebar
$veil_header_name    = veil_get_theme_option( 'header_widgets' );
$veil_header_present = ! veil_is_off( $veil_header_name ) && is_active_sidebar( $veil_header_name );
if ( $veil_header_present ) {
	veil_storage_set( 'current_sidebar', 'header' );
	$veil_header_wide = veil_get_theme_option( 'header_wide' );
	ob_start();
	if ( is_active_sidebar( $veil_header_name ) ) {
		dynamic_sidebar( $veil_header_name );
	}
	$veil_widgets_output = ob_get_contents();
	ob_end_clean();
	if ( ! empty( $veil_widgets_output ) ) {
		$veil_widgets_output = preg_replace( "/<\/aside>[\r\n\s]*<aside/", '</aside><aside', $veil_widgets_output );
		$veil_need_columns   = strpos( $veil_widgets_output, 'columns_wrap' ) === false;
		if ( $veil_need_columns ) {
			$veil_columns = max( 0, (int) veil_get_theme_option( 'header_columns' ) );
			if ( 0 == $veil_columns ) {
				$veil_columns = min( 6, max( 1, veil_tags_count( $veil_widgets_output, 'aside' ) ) );
			}
			if ( $veil_columns > 1 ) {
				$veil_widgets_output = preg_replace( '/<aside([^>]*)class="widget/', '<aside$1class="column-1_' . esc_attr( $veil_columns ) . ' widget', $veil_widgets_output );
			} else {
				$veil_need_columns = false;
			}
		}
		?>
		<div class="header_widgets_wrap widget_area<?php echo ! empty( $veil_header_wide ) ? ' header_fullwidth' : ' header_boxed'; ?>">
			<?php do_action( 'veil_action_before_sidebar_wrap', 'header' ); ?>
			<div class="header_widgets_inner widget_area_inner">
				<?php
				if ( ! $veil_header_wide ) {
					?>
					<div class="content_wrap">
					<?php
				}
				if ( $veil_need_columns ) {
					?>
					<div class="columns_wrap">
					<?php
				}
				do_action( 'veil_action_before_sidebar', 'header' );
				veil_show_layout( $veil_widgets_output );
				do_action( 'veil_action_after_sidebar', 'header' );
				if ( $veil_need_columns ) {
					?>
					</div>	<!-- /.columns_wrap -->
					<?php
				}
				if ( ! $veil_header_wide ) {
					?>
					</div>	<!-- /.content_wrap -->
					<?php
				}
				?>
			</div>	<!-- /.header_widgets_inner -->
			<?php do_action( 'veil_action_after_sidebar_wrap', 'header' ); ?>
		</div>	<!-- /.header_widgets_wrap -->
		<?php
	}
}
