<?php
/**
 * The template to display Admin notices
 *
 * @package VEIL
 * @since VEIL 1.0.64
 */

$veil_skins_url  = get_admin_url( null, 'admin.php?page=trx_addons_theme_panel#trx_addons_theme_panel_section_skins' );
$veil_skins_args = get_query_var( 'veil_skins_notice_args' );
?>
<div class="veil_admin_notice veil_skins_notice notice notice-info is-dismissible" data-notice="skins">
	<?php
	// Theme image
	$veil_theme_img = veil_get_file_url( 'screenshot.jpg' );
	if ( '' != $veil_theme_img ) {
		?>
		<div class="veil_notice_image"><img src="<?php echo esc_url( $veil_theme_img ); ?>" alt="<?php esc_attr_e( 'Theme screenshot', 'veil' ); ?>"></div>
		<?php
	}

	// Title
	?>
	<h3 class="veil_notice_title">
		<?php esc_html_e( 'New skins are available', 'veil' ); ?>
	</h3>
	<?php

	// Description
	$veil_total      = $veil_skins_args['update'];	// Store value to the separate variable to avoid warnings from ThemeCheck plugin!
	$veil_skins_msg  = $veil_total > 0
							// Translators: Add new skins number
							? '<strong>' . sprintf( _n( '%d new version', '%d new versions', $veil_total, 'veil' ), $veil_total ) . '</strong>'
							: '';
	$veil_total      = $veil_skins_args['free'];
	$veil_skins_msg .= $veil_total > 0
							? ( ! empty( $veil_skins_msg ) ? ' ' . esc_html__( 'and', 'veil' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d free skin', '%d free skins', $veil_total, 'veil' ), $veil_total ) . '</strong>'
							: '';
	$veil_total      = $veil_skins_args['pay'];
	$veil_skins_msg .= $veil_skins_args['pay'] > 0
							? ( ! empty( $veil_skins_msg ) ? ' ' . esc_html__( 'and', 'veil' ) . ' ' : '' )
								// Translators: Add new skins number
								. '<strong>' . sprintf( _n( '%d paid skin', '%d paid skins', $veil_total, 'veil' ), $veil_total ) . '</strong>'
							: '';
	?>
	<div class="veil_notice_text">
		<p>
			<?php
			// Translators: Add new skins info
			echo wp_kses_data( sprintf( __( "We are pleased to announce that %s are available for your theme", 'veil' ), $veil_skins_msg ) );
			?>
		</p>
	</div>
	<?php

	// Buttons
	?>
	<div class="veil_notice_buttons">
		<?php
		// Link to the theme dashboard page
		?>
		<a href="<?php echo esc_url( $veil_skins_url ); ?>" class="button button-primary"><i class="dashicons dashicons-update"></i> 
			<?php
			// Translators: Add theme name
			esc_html_e( 'Go to Skins manager', 'veil' );
			?>
		</a>
	</div>
</div>
